### Method

# Gtk.CellLayout.set_attributes

#### Declaration [src]

    void
    gtk_cell_layout_set_attributes (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      ...
    )

#### Description [src]

Sets the attributes in list as the attributes of `cell_layout`.

The attributes should be in attribute/column order, as in `gtk_cell_layout_add_attribute()`. All existing attributes are removed, and replaced with the new attributes.

#### Parameters

`cell` | `GtkCellRenderer`
| a `GtkCellRenderer`
| Ownership is not transferred to the callee
`...` | ``
| a `NULL`-terminated list of attributes